GT-SEQMUTATE(1)

NAME
gt-seqmutate - Mutate the sequences of the given sequence file(s).

SYNOPSIS

gt seqmutate [option ...] [sequence_file ...]

DESCRIPTION

-rate [value]
    set the mutation rate (default: 1)

-width [value]
    set output width for FASTA sequence printing (0 disables formatting) (default: 0)

-o [filename]
    redirect output to specified file (default: undefined)

-gzip [yes|no]
    write gzip compressed output file (default: no)

-bzip2 [yes|no]
    write bzip2 compressed output file (default: no)

-force [yes|no]
    force writing to output file (default: no)

-help
    display help and exit

-version
    display version information and exit

For each position in the given sequences it is randomly determined with probability (mutation rate / 100) if the given position is mutated. If so, in 80% of the cases a substitution is performed, in 10% an insertion, and in 10% a deletion, respectively. For substitution and insertion events, the nucleotide is generated randomly without regard to the original nucleotide. That is, resubstitutions are possible. This procedure equals the one described on page 1867 of the following paper:

T.D. Wu and C.K. Watanabe. GMAP: a genomic mapping and alignment program for mRNA and EST sequences. Bioinformatics, 21(9):1859-1875, 2005.

REPORTING BUGS

Report bugs to https://github.com/genometools/genometools/issues.